Cross-chain

Cross-chain messages and actions.

Cross transactions actions

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/actions
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions?chainId=43114&sort=desc&limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions?chainId=43114&sort=desc&limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type: "superchainWETH" | "superchainTokenBridge" | "opL1StandardBridge" | "opDeposited" | "dexalotBridge" | "taikoETHTransfer" | "taikoERC20Vault" | "taikoERC721Vault" | "omniBridge" | "avalancheBTCBridge" | "avalancheETHBridge" | "synapse" | "genericTransfer" | "ICTT" | "OFT" | "ambOmnibridge" | "CCTPTokenMessenger" | "nearIntent" | "superswaps" | "hyperlane" | "eil" | "fAssetsMint" | "fAssetsDirectMint" | "fAssetsRedeem";
5 status: "completed" | "pending" | "failed" | "ready_to_prove";
6 srcChainId: string;
7 srcTimestamp: string; // date-time
8 srcTxHash?: string;
9 srcBlockNumber?: string;
10 srcBlockHash?: string;
11 srcGasLimit?: string;
12 dstChainId: string;
13 dstTimestamp: string; // date-time
14 dstTxHash?: string;
15 dstBlockNumber?: string;
16 dstBlockHash?: string;
17 dstGasLimit?: string;
18 from?: string; // evm-address
19 to?: string; // evm-address
20 crossMessageId?: string;
21 actionType?: "GasGasBridge" | "ERC20GasBridge" | "GasERC20Bridge" | "ERC20ERC20Bridge" | "ERC721ERC721Bridge" | "VoidERC20Bridge" | "ERC20VoidBridge" | "ERC1155ERC1155Bridge" | "ArbitraryFunction";
22 data: {
23 srcToken?: {
24 chainId: string;
25 blockchainId?: string;
26 ecosystems?: string[];
27 address: string;
28 name?: string;
29 symbol?: string;
30 decimals?: number;
31 totalSupply?: string; // bigint
32 price?: string; // bigint
33 priceChange1h?: string; // bigint
34 priceChange24h?: string; // bigint
35 recentMarketPrices?: Record<string, unknown>;
36 marketCap?: string; // bigint
37 createdAt?: string; // date-time
38 txHash?: string;
39 detail?: {
40 alert?: string;
41 name?: string;
42 alias?: string;
43 unlock_date?: string; // date-time
44 description?: string;
45 link?: string;
46 icon?: string;
47 iconUrls?: {
48 32?: string;
49 64?: string;
50 256?: string;
51 1024?: string;
52 };
53 type?: string;
54 symbol?: string;
55 reputation?: Record<string, unknown>;
56 bridge?: string;
57 bridged_token?: string;
58 blacklist?: boolean;
59 similar?: string[];
60 similar_token?: string[];
61 supertype?: string;
62 isBridge?: boolean;
63 isContract?: boolean;
64 bridged_chain?: {
65 name?: string;
66 logo?: string;
67 chain_id_evm?: string;
68 external_url?: string;
69 };
70 burnAddresses?: string[];
71 lockAddresses?: string[];
72 bridgeData?: {
73 url?: string;
74 otherSideUrl?: string;
75 };
76 url?: string;
77 social_profile?: {
78 items: Record<string, unknown>[];
79 };
80 dapp?: {
81 alias?: string;
82 url?: string;
83 description?: string;
84 };
85 owner?: string;
86 tags?: string[];
87 };
88 transfers?: {
89 last24h?: number;
90 last48h?: number;
91 last72h?: number;
92 };
93 holders?: number;
94 market?: {
95 totalSupply?: number;
96 circulatingSupply?: number;
97 burned?: number;
98 price?: number;
99 marketCap?: number;
100 minPriceLast24h?: number;
101 maxPriceLast24h?: number;
102 };
103 };
104 dstToken?: {
105 chainId: string;
106 blockchainId?: string;
107 ecosystems?: string[];
108 address: string;
109 name?: string;
110 symbol?: string;
111 decimals?: number;
112 totalSupply?: string; // bigint
113 price?: string; // bigint
114 priceChange1h?: string; // bigint
115 priceChange24h?: string; // bigint
116 recentMarketPrices?: Record<string, unknown>;
117 marketCap?: string; // bigint
118 createdAt?: string; // date-time
119 txHash?: string;
120 detail?: {
121 alert?: string;
122 name?: string;
123 alias?: string;
124 unlock_date?: string; // date-time
125 description?: string;
126 link?: string;
127 icon?: string;
128 iconUrls?: {
129 32?: string;
130 64?: string;
131 256?: string;
132 1024?: string;
133 };
134 type?: string;
135 symbol?: string;
136 reputation?: Record<string, unknown>;
137 bridge?: string;
138 bridged_token?: string;
139 blacklist?: boolean;
140 similar?: string[];
141 similar_token?: string[];
142 supertype?: string;
143 isBridge?: boolean;
144 isContract?: boolean;
145 bridged_chain?: {
146 name?: string;
147 logo?: string;
148 chain_id_evm?: string;
149 external_url?: string;
150 };
151 burnAddresses?: string[];
152 lockAddresses?: string[];
153 bridgeData?: {
154 url?: string;
155 otherSideUrl?: string;
156 };
157 url?: string;
158 social_profile?: {
159 items: Record<string, unknown>[];
160 };
161 dapp?: {
162 alias?: string;
163 url?: string;
164 description?: string;
165 };
166 owner?: string;
167 tags?: string[];
168 };
169 transfers?: {
170 last24h?: number;
171 last48h?: number;
172 last72h?: number;
173 };
174 holders?: number;
175 market?: {
176 totalSupply?: number;
177 circulatingSupply?: number;
178 burned?: number;
179 price?: number;
180 marketCap?: number;
181 minPriceLast24h?: number;
182 maxPriceLast24h?: number;
183 };
184 };
185 srcAmount?: string;
186 dstAmount?: string;
187 entrypoint?: {
188 chainId: string;
189 blockchainId?: string;
190 ecosystems?: string[];
191 address: string;
192 name?: string;
193 symbol?: string;
194 decimals?: number;
195 totalSupply?: string; // bigint
196 price?: string; // bigint
197 priceChange1h?: string; // bigint
198 priceChange24h?: string; // bigint
199 recentMarketPrices?: Record<string, unknown>;
200 marketCap?: string; // bigint
201 createdAt?: string; // date-time
202 txHash?: string;
203 detail?: {
204 alert?: string;
205 name?: string;
206 alias?: string;
207 unlock_date?: string; // date-time
208 description?: string;
209 link?: string;
210 icon?: string;
211 iconUrls?: {
212 32?: string;
213 64?: string;
214 256?: string;
215 1024?: string;
216 };
217 type?: string;
218 symbol?: string;
219 reputation?: Record<string, unknown>;
220 bridge?: string;
221 bridged_token?: string;
222 blacklist?: boolean;
223 similar?: string[];
224 similar_token?: string[];
225 supertype?: string;
226 isBridge?: boolean;
227 isContract?: boolean;
228 bridged_chain?: {
229 name?: string;
230 logo?: string;
231 chain_id_evm?: string;
232 external_url?: string;
233 };
234 burnAddresses?: string[];
235 lockAddresses?: string[];
236 bridgeData?: {
237 url?: string;
238 otherSideUrl?: string;
239 };
240 url?: string;
241 social_profile?: {
242 items: Record<string, unknown>[];
243 };
244 dapp?: {
245 alias?: string;
246 url?: string;
247 description?: string;
248 };
249 owner?: string;
250 tags?: string[];
251 };
252 transfers?: {
253 last24h?: number;
254 last48h?: number;
255 last72h?: number;
256 };
257 holders?: number;
258 market?: {
259 totalSupply?: number;
260 circulatingSupply?: number;
261 burned?: number;
262 price?: number;
263 marketCap?: number;
264 minPriceLast24h?: number;
265 maxPriceLast24h?: number;
266 };
267 };
268 };
269 }[];
270 count?: number;
271 countType?: "exact" | "lowerBound" | "approx";
272 link: {
273 next?: string;
274 nextToken?: string;
275 prev?: string;
276 prevToken?: string;
277 };
278}

Responses

200Default Response

Cross transactions actions by id

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/actions/{id}
GET
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions/2d407ed579925533abfb90569a5f68febb77e82eb75cf910680e94a6cbcc441b?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/actions/2d407ed579925533abfb90569a5f68febb77e82eb75cf910680e94a6cbcc441b' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type: "superchainWETH" | "superchainTokenBridge" | "opL1StandardBridge" | "opDeposited" | "dexalotBridge" | "taikoETHTransfer" | "taikoERC20Vault" | "taikoERC721Vault" | "omniBridge" | "avalancheBTCBridge" | "avalancheETHBridge" | "synapse" | "genericTransfer" | "ICTT" | "OFT" | "ambOmnibridge" | "CCTPTokenMessenger" | "nearIntent" | "superswaps" | "hyperlane" | "eil" | "fAssetsMint" | "fAssetsDirectMint" | "fAssetsRedeem";
4 status: "completed" | "pending" | "failed" | "ready_to_prove";
5 srcChainId: string;
6 srcTimestamp: string; // date-time
7 srcTxHash?: string;
8 srcBlockNumber?: string;
9 srcBlockHash?: string;
10 srcGasLimit?: string;
11 dstChainId: string;
12 dstTimestamp: string; // date-time
13 dstTxHash?: string;
14 dstBlockNumber?: string;
15 dstBlockHash?: string;
16 dstGasLimit?: string;
17 from?: string; // evm-address
18 to?: string; // evm-address
19 crossMessageId?: string;
20 actionType?: "GasGasBridge" | "ERC20GasBridge" | "GasERC20Bridge" | "ERC20ERC20Bridge" | "ERC721ERC721Bridge" | "VoidERC20Bridge" | "ERC20VoidBridge" | "ERC1155ERC1155Bridge" | "ArbitraryFunction";
21 data: {
22 srcToken?: {
23 chainId: string;
24 blockchainId?: string;
25 ecosystems?: string[];
26 address: string;
27 name?: string;
28 symbol?: string;
29 decimals?: number;
30 totalSupply?: string; // bigint
31 price?: string; // bigint
32 priceChange1h?: string; // bigint
33 priceChange24h?: string; // bigint
34 recentMarketPrices?: Record<string, unknown>;
35 marketCap?: string; // bigint
36 createdAt?: string; // date-time
37 txHash?: string;
38 detail?: {
39 alert?: string;
40 name?: string;
41 alias?: string;
42 unlock_date?: string; // date-time
43 description?: string;
44 link?: string;
45 icon?: string;
46 iconUrls?: {
47 32?: string;
48 64?: string;
49 256?: string;
50 1024?: string;
51 };
52 type?: string;
53 symbol?: string;
54 reputation?: Record<string, unknown>;
55 bridge?: string;
56 bridged_token?: string;
57 blacklist?: boolean;
58 similar?: string[];
59 similar_token?: string[];
60 supertype?: string;
61 isBridge?: boolean;
62 isContract?: boolean;
63 bridged_chain?: {
64 name?: string;
65 logo?: string;
66 chain_id_evm?: string;
67 external_url?: string;
68 };
69 burnAddresses?: string[];
70 lockAddresses?: string[];
71 bridgeData?: {
72 url?: string;
73 otherSideUrl?: string;
74 };
75 url?: string;
76 social_profile?: {
77 items: {
78 type: string;
79 value: string;
80 title?: string;
81 }[];
82 };
83 dapp?: {
84 alias?: string;
85 url?: string;
86 description?: string;
87 };
88 owner?: string;
89 tags?: string[];
90 };
91 transfers?: {
92 last24h?: number;
93 last48h?: number;
94 last72h?: number;
95 };
96 holders?: number;
97 market?: {
98 totalSupply?: number;
99 circulatingSupply?: number;
100 burned?: number;
101 price?: number;
102 marketCap?: number;
103 minPriceLast24h?: number;
104 maxPriceLast24h?: number;
105 };
106 };
107 dstToken?: {
108 chainId: string;
109 blockchainId?: string;
110 ecosystems?: string[];
111 address: string;
112 name?: string;
113 symbol?: string;
114 decimals?: number;
115 totalSupply?: string; // bigint
116 price?: string; // bigint
117 priceChange1h?: string; // bigint
118 priceChange24h?: string; // bigint
119 recentMarketPrices?: Record<string, unknown>;
120 marketCap?: string; // bigint
121 createdAt?: string; // date-time
122 txHash?: string;
123 detail?: {
124 alert?: string;
125 name?: string;
126 alias?: string;
127 unlock_date?: string; // date-time
128 description?: string;
129 link?: string;
130 icon?: string;
131 iconUrls?: {
132 32?: string;
133 64?: string;
134 256?: string;
135 1024?: string;
136 };
137 type?: string;
138 symbol?: string;
139 reputation?: Record<string, unknown>;
140 bridge?: string;
141 bridged_token?: string;
142 blacklist?: boolean;
143 similar?: string[];
144 similar_token?: string[];
145 supertype?: string;
146 isBridge?: boolean;
147 isContract?: boolean;
148 bridged_chain?: {
149 name?: string;
150 logo?: string;
151 chain_id_evm?: string;
152 external_url?: string;
153 };
154 burnAddresses?: string[];
155 lockAddresses?: string[];
156 bridgeData?: {
157 url?: string;
158 otherSideUrl?: string;
159 };
160 url?: string;
161 social_profile?: {
162 items: {
163 type: string;
164 value: string;
165 title?: string;
166 }[];
167 };
168 dapp?: {
169 alias?: string;
170 url?: string;
171 description?: string;
172 };
173 owner?: string;
174 tags?: string[];
175 };
176 transfers?: {
177 last24h?: number;
178 last48h?: number;
179 last72h?: number;
180 };
181 holders?: number;
182 market?: {
183 totalSupply?: number;
184 circulatingSupply?: number;
185 burned?: number;
186 price?: number;
187 marketCap?: number;
188 minPriceLast24h?: number;
189 maxPriceLast24h?: number;
190 };
191 };
192 srcAmount?: string;
193 dstAmount?: string;
194 entrypoint?: {
195 chainId: string;
196 blockchainId?: string;
197 ecosystems?: string[];
198 address: string;
199 name?: string;
200 symbol?: string;
201 decimals?: number;
202 totalSupply?: string; // bigint
203 price?: string; // bigint
204 priceChange1h?: string; // bigint
205 priceChange24h?: string; // bigint
206 recentMarketPrices?: Record<string, unknown>;
207 marketCap?: string; // bigint
208 createdAt?: string; // date-time
209 txHash?: string;
210 detail?: {
211 alert?: string;
212 name?: string;
213 alias?: string;
214 unlock_date?: string; // date-time
215 description?: string;
216 link?: string;
217 icon?: string;
218 iconUrls?: {
219 32?: string;
220 64?: string;
221 256?: string;
222 1024?: string;
223 };
224 type?: string;
225 symbol?: string;
226 reputation?: Record<string, unknown>;
227 bridge?: string;
228 bridged_token?: string;
229 blacklist?: boolean;
230 similar?: string[];
231 similar_token?: string[];
232 supertype?: string;
233 isBridge?: boolean;
234 isContract?: boolean;
235 bridged_chain?: {
236 name?: string;
237 logo?: string;
238 chain_id_evm?: string;
239 external_url?: string;
240 };
241 burnAddresses?: string[];
242 lockAddresses?: string[];
243 bridgeData?: {
244 url?: string;
245 otherSideUrl?: string;
246 };
247 url?: string;
248 social_profile?: {
249 items: {
250 type: string;
251 value: string;
252 title?: string;
253 }[];
254 };
255 dapp?: {
256 alias?: string;
257 url?: string;
258 description?: string;
259 };
260 owner?: string;
261 tags?: string[];
262 };
263 transfers?: {
264 last24h?: number;
265 last48h?: number;
266 last72h?: number;
267 };
268 holders?: number;
269 market?: {
270 totalSupply?: number;
271 circulatingSupply?: number;
272 burned?: number;
273 price?: number;
274 marketCap?: number;
275 minPriceLast24h?: number;
276 maxPriceLast24h?: number;
277 };
278 };
279 };
280}

Responses

200Default Response

Cross transactions messages

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/messages
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages?chainId=43114&sort=desc&limit=25&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages?chainId=43114&sort=desc&limit=25' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 id: string;
4 type: "opStackPreBedrockTx" | "opStackBedrockTx" | "teleporterTx" | "omni" | "opSuperchainInterop" | "taiko" | "layerZero" | "amb" | "CCTP" | "hyperlane";
5 status: "completed" | "pending" | "failed" | "ready_to_prove";
6 srcChainId: string;
7 srcTimestamp: string; // date-time
8 srcTxHash?: string;
9 srcBlockNumber?: string;
10 srcBlockHash?: string;
11 srcGasLimit?: string;
12 dstChainId: string;
13 dstTimestamp: string; // date-time
14 dstTxHash?: string;
15 dstBlockNumber?: string;
16 dstBlockHash?: string;
17 dstGasLimit?: string;
18 from?: string; // evm-address
19 to?: string; // evm-address
20 data: Record<string, unknown>;
21 }[];
22 count?: number;
23 countType?: "exact" | "lowerBound" | "approx";
24 link: {
25 next?: string;
26 nextToken?: string;
27 prev?: string;
28 prevToken?: string;
29 };
30}

Responses

200Default Response

Cross transactions messages by id

GEThttps://api.routescan.io/v2/network/{networkId}/evm/cross-transactions/messages/{id}
GET
https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages/69fe2ca738b055bbb2a86f08748ddf9b686c82120e965c53e5ea56aea674dc57?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/cross-transactions/messages/69fe2ca738b055bbb2a86f08748ddf9b686c82120e965c53e5ea56aea674dc57' \
2 -H 'apikey: YourApiKeyToken'
1{
2 id: string;
3 type: "opStackPreBedrockTx" | "opStackBedrockTx" | "teleporterTx" | "omni" | "opSuperchainInterop" | "taiko" | "layerZero" | "amb" | "CCTP" | "hyperlane";
4 status: "completed" | "pending" | "failed" | "ready_to_prove";
5 srcChainId: string;
6 srcTimestamp: string; // date-time
7 srcTxHash?: string;
8 srcBlockNumber?: string;
9 srcBlockHash?: string;
10 srcGasLimit?: string;
11 dstChainId: string;
12 dstTimestamp: string; // date-time
13 dstTxHash?: string;
14 dstBlockNumber?: string;
15 dstBlockHash?: string;
16 dstGasLimit?: string;
17 from?: string; // evm-address
18 to?: string; // evm-address
19 data: Record<string, unknown>;
20}

Responses

200Default Response
Questions? Contact us